function modReset()

    -- Tool
    regSetFloat('tool.pour.gravity'   , 0.03)
    regSetFloat('tool.pour.rate'      , 1600)
    regSetFloat('tool.pour.spread'    , 10)
    regSetFloat('tool.pour.velocity'  , 0.25)
    regSetBool('tool.debugMode'       , false)
    regSetBool('tool.soundOn'         , true)

    -- Slime
    regSetFloat('tool.slime.eatRadius'       , 0.1)
    regSetFloat('tool.slime.duplicationRate' , 10)
    regSetFloat('tool.slime.eatDelay'        , 1)
    regSetFloat('tool.slime.jumpDistance'    , 1)

    -- Performance
    regSetBool('tool.slime.renderSlimeParticles' , true)
    regSetFloat('tool.slime.killToMaintainFPS'   , 0)
    regSetFloat('tool.slime.slimesMaxPopulation' , 0)

end


function checkRegInitialized()
    local regInit = GetBool('savegame.mod.regInit')
    if regInit == false then
        modReset()
        SetBool('savegame.mod.regInit', true)
    end
end

function regGetFloat(path)
    local p = 'savegame.mod.' .. path
    return GetFloat(p)
end
function regSetFloat(path, value)
    local p = 'savegame.mod.' .. path
    SetFloat(p, value)
end

function regGetBool(path)
    local p = 'savegame.mod.' .. path
    return GetBool(p)
end
function regSetBool(path, value)
    local p = 'savegame.mod.' .. path
    SetBool(p, value)
end

